Debt Payment
With this service, you can pay the full debt using a room or tracking number.
POST
/integrators/payments/debts/pay
Filter parameters
You must provide at least one parameter: either room number (roomNumber) or tracking code (waybillNumber).
| Field | Type | Required | Example | Description |
|---|---|---|---|---|
| roomNumber | string | Conditional |
IG00001
Required if waybillNumber is missing. |
Customer's room number. |
| waybillNumber | string | Conditional |
TY7200934421231
Required if roomNumber is missing. |
Parcel tracking in the Inex system. |
| paymentId | string | Yes | IN0001 | Payment number in your system. (max:255 characters). |
Duplicate paymentId
Please note. When attempting to pay a debt again with a duplicate paymentId, our system will not return an error; if it exists, it will return the previous successful response.
Response Structure 200 OK
| Attribute | Type | Example | Description |
|---|---|---|---|
| data.transactionId | string | 223IN1233 | Transaction identifier reflected in the Inex system. |
Possible Responses
| Code | Description |
|---|---|
| 200 OK | Payment was successfully completed. |
| 404 Not Found | Customer or parcel not found. |
| 403 Forbidden | You do not have permission to perform this operation |
| 422 Unprocessable | Validation error (invalid type or missing field). |
cURL Request
BASH
curl -X GET https://api-staging.inex.ge/api/v1/integrators/payments/debts/pay \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"roomNumber": "IG00001",
"paymentId": "INV0001",
}'
curl -X GET https://api-staging.inex.ge/api/v1/integrators/payments/debts/pay \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"waybillNumber": "TY7200934421231",
"paymentId": "INV0001",
}'
Response (200 OK)
JSON Response
JSON
{
"data": {
"transactionId": 123456
}
}
Error Response (403)
JSON Response
JSON
{
"errors": {
"general": [
"You are not authorized to perform this action. Contact administrator."
]
},
"message": "error"
}
Error Response (404)
JSON Response
JSON
{
"errors": {
"general": [
"Requested customer not found"
]
},
"message": "error"
}
Error Response (422)
JSON Response
JSON
{
"message": "The room number field is required when waybill number is not present. (and 1 more error)",
"errors": {
"roomNumber": [
"The room number field is required when waybill number is not present."
],
"waybillNumber": [
"The waybill number field is required when room number is not present."
]
}
}